#!/bin/bash

## Author: 	Alexandru Fiodorov
## Created:	09.03.13
## This script reads and outputs the measurements from the Agilent multimeter.
## It can be interrupted by a "killall" command, gracefully finishing the execution,
## not to cause a broken pipe.

trap 'setit' SIGINT SIGTERM SIGQUIT

setit() {
	stop="1"
}

echo "start "$(date +%s.%N)

while [ "$stop" != "1" ]; do
	echo MEAS? > /dev/usbtmc1
	voltage=`cat /dev/usbtmc1`
	echo $voltage
done

echo "stop "$(date +%s.%N)

