//-----------------------------------------------------------------------------
// proc_module_lbm_acc_top_0_wrapper.v
//-----------------------------------------------------------------------------

module proc_module_lbm_acc_top_0_wrapper
  (
    SYS_CLK,
    SYS_RESET,
    m_axi_src_bus_ACLK,
    m_axi_src_bus_ARESETN,
    m_axi_src_bus_AWID,
    m_axi_src_bus_AWADDR,
    m_axi_src_bus_AWLEN,
    m_axi_src_bus_AWSIZE,
    m_axi_src_bus_AWBURST,
    m_axi_src_bus_AWLOCK,
    m_axi_src_bus_AWCACHE,
    m_axi_src_bus_AWPROT,
    m_axi_src_bus_AWQOS,
    m_axi_src_bus_AWUSER,
    m_axi_src_bus_AWVALID,
    m_axi_src_bus_AWREADY,
    m_axi_src_bus_WDATA,
    m_axi_src_bus_WSTRB,
    m_axi_src_bus_WLAST,
    m_axi_src_bus_WUSER,
    m_axi_src_bus_WVALID,
    m_axi_src_bus_WREADY,
    m_axi_src_bus_BID,
    m_axi_src_bus_BRESP,
    m_axi_src_bus_BUSER,
    m_axi_src_bus_BVALID,
    m_axi_src_bus_BREADY,
    m_axi_src_bus_ARID,
    m_axi_src_bus_ARADDR,
    m_axi_src_bus_ARLEN,
    m_axi_src_bus_ARSIZE,
    m_axi_src_bus_ARBURST,
    m_axi_src_bus_ARLOCK,
    m_axi_src_bus_ARCACHE,
    m_axi_src_bus_ARPROT,
    m_axi_src_bus_ARQOS,
    m_axi_src_bus_ARUSER,
    m_axi_src_bus_ARVALID,
    m_axi_src_bus_ARREADY,
    m_axi_src_bus_RID,
    m_axi_src_bus_RDATA,
    m_axi_src_bus_RRESP,
    m_axi_src_bus_RLAST,
    m_axi_src_bus_RUSER,
    m_axi_src_bus_RVALID,
    m_axi_src_bus_RREADY,
    m_axi_dst_bus_ACLK,
    m_axi_dst_bus_ARESETN,
    m_axi_dst_bus_AWID,
    m_axi_dst_bus_AWADDR,
    m_axi_dst_bus_AWLEN,
    m_axi_dst_bus_AWSIZE,
    m_axi_dst_bus_AWBURST,
    m_axi_dst_bus_AWLOCK,
    m_axi_dst_bus_AWCACHE,
    m_axi_dst_bus_AWPROT,
    m_axi_dst_bus_AWQOS,
    m_axi_dst_bus_AWUSER,
    m_axi_dst_bus_AWVALID,
    m_axi_dst_bus_AWREADY,
    m_axi_dst_bus_WDATA,
    m_axi_dst_bus_WSTRB,
    m_axi_dst_bus_WLAST,
    m_axi_dst_bus_WUSER,
    m_axi_dst_bus_WVALID,
    m_axi_dst_bus_WREADY,
    m_axi_dst_bus_BID,
    m_axi_dst_bus_BRESP,
    m_axi_dst_bus_BUSER,
    m_axi_dst_bus_BVALID,
    m_axi_dst_bus_BREADY,
    m_axi_dst_bus_ARID,
    m_axi_dst_bus_ARADDR,
    m_axi_dst_bus_ARLEN,
    m_axi_dst_bus_ARSIZE,
    m_axi_dst_bus_ARBURST,
    m_axi_dst_bus_ARLOCK,
    m_axi_dst_bus_ARCACHE,
    m_axi_dst_bus_ARPROT,
    m_axi_dst_bus_ARQOS,
    m_axi_dst_bus_ARUSER,
    m_axi_dst_bus_ARVALID,
    m_axi_dst_bus_ARREADY,
    m_axi_dst_bus_RID,
    m_axi_dst_bus_RDATA,
    m_axi_dst_bus_RRESP,
    m_axi_dst_bus_RLAST,
    m_axi_dst_bus_RUSER,
    m_axi_dst_bus_RVALID,
    m_axi_dst_bus_RREADY,
    s_axi_AXI4LiteS_ACLK,
    s_axi_AXI4LiteS_ARESETN,
    s_axi_AXI4LiteS_AWADDR,
    s_axi_AXI4LiteS_AWVALID,
    s_axi_AXI4LiteS_AWREADY,
    s_axi_AXI4LiteS_WDATA,
    s_axi_AXI4LiteS_WSTRB,
    s_axi_AXI4LiteS_WVALID,
    s_axi_AXI4LiteS_WREADY,
    s_axi_AXI4LiteS_BRESP,
    s_axi_AXI4LiteS_BVALID,
    s_axi_AXI4LiteS_BREADY,
    s_axi_AXI4LiteS_ARADDR,
    s_axi_AXI4LiteS_ARVALID,
    s_axi_AXI4LiteS_ARREADY,
    s_axi_AXI4LiteS_RDATA,
    s_axi_AXI4LiteS_RRESP,
    s_axi_AXI4LiteS_RVALID,
    s_axi_AXI4LiteS_RREADY,
    interrupt
  );
  input SYS_CLK;
  input SYS_RESET;
  input m_axi_src_bus_ACLK;
  input m_axi_src_bus_ARESETN;
  output [0:0] m_axi_src_bus_AWID;
  output [31:0] m_axi_src_bus_AWADDR;
  output [7:0] m_axi_src_bus_AWLEN;
  output [2:0] m_axi_src_bus_AWSIZE;
  output [1:0] m_axi_src_bus_AWBURST;
  output [1:0] m_axi_src_bus_AWLOCK;
  output [3:0] m_axi_src_bus_AWCACHE;
  output [2:0] m_axi_src_bus_AWPROT;
  output [3:0] m_axi_src_bus_AWQOS;
  output [0:0] m_axi_src_bus_AWUSER;
  output m_axi_src_bus_AWVALID;
  input m_axi_src_bus_AWREADY;
  output [63:0] m_axi_src_bus_WDATA;
  output [7:0] m_axi_src_bus_WSTRB;
  output m_axi_src_bus_WLAST;
  output [0:0] m_axi_src_bus_WUSER;
  output m_axi_src_bus_WVALID;
  input m_axi_src_bus_WREADY;
  input [0:0] m_axi_src_bus_BID;
  input [1:0] m_axi_src_bus_BRESP;
  input [0:0] m_axi_src_bus_BUSER;
  input m_axi_src_bus_BVALID;
  output m_axi_src_bus_BREADY;
  output [0:0] m_axi_src_bus_ARID;
  output [31:0] m_axi_src_bus_ARADDR;
  output [7:0] m_axi_src_bus_ARLEN;
  output [2:0] m_axi_src_bus_ARSIZE;
  output [1:0] m_axi_src_bus_ARBURST;
  output [1:0] m_axi_src_bus_ARLOCK;
  output [3:0] m_axi_src_bus_ARCACHE;
  output [2:0] m_axi_src_bus_ARPROT;
  output [3:0] m_axi_src_bus_ARQOS;
  output [0:0] m_axi_src_bus_ARUSER;
  output m_axi_src_bus_ARVALID;
  input m_axi_src_bus_ARREADY;
  input [0:0] m_axi_src_bus_RID;
  input [63:0] m_axi_src_bus_RDATA;
  input [1:0] m_axi_src_bus_RRESP;
  input m_axi_src_bus_RLAST;
  input [0:0] m_axi_src_bus_RUSER;
  input m_axi_src_bus_RVALID;
  output m_axi_src_bus_RREADY;
  input m_axi_dst_bus_ACLK;
  input m_axi_dst_bus_ARESETN;
  output [0:0] m_axi_dst_bus_AWID;
  output [31:0] m_axi_dst_bus_AWADDR;
  output [7:0] m_axi_dst_bus_AWLEN;
  output [2:0] m_axi_dst_bus_AWSIZE;
  output [1:0] m_axi_dst_bus_AWBURST;
  output [1:0] m_axi_dst_bus_AWLOCK;
  output [3:0] m_axi_dst_bus_AWCACHE;
  output [2:0] m_axi_dst_bus_AWPROT;
  output [3:0] m_axi_dst_bus_AWQOS;
  output [0:0] m_axi_dst_bus_AWUSER;
  output m_axi_dst_bus_AWVALID;
  input m_axi_dst_bus_AWREADY;
  output [63:0] m_axi_dst_bus_WDATA;
  output [7:0] m_axi_dst_bus_WSTRB;
  output m_axi_dst_bus_WLAST;
  output [0:0] m_axi_dst_bus_WUSER;
  output m_axi_dst_bus_WVALID;
  input m_axi_dst_bus_WREADY;
  input [0:0] m_axi_dst_bus_BID;
  input [1:0] m_axi_dst_bus_BRESP;
  input [0:0] m_axi_dst_bus_BUSER;
  input m_axi_dst_bus_BVALID;
  output m_axi_dst_bus_BREADY;
  output [0:0] m_axi_dst_bus_ARID;
  output [31:0] m_axi_dst_bus_ARADDR;
  output [7:0] m_axi_dst_bus_ARLEN;
  output [2:0] m_axi_dst_bus_ARSIZE;
  output [1:0] m_axi_dst_bus_ARBURST;
  output [1:0] m_axi_dst_bus_ARLOCK;
  output [3:0] m_axi_dst_bus_ARCACHE;
  output [2:0] m_axi_dst_bus_ARPROT;
  output [3:0] m_axi_dst_bus_ARQOS;
  output [0:0] m_axi_dst_bus_ARUSER;
  output m_axi_dst_bus_ARVALID;
  input m_axi_dst_bus_ARREADY;
  input [0:0] m_axi_dst_bus_RID;
  input [63:0] m_axi_dst_bus_RDATA;
  input [1:0] m_axi_dst_bus_RRESP;
  input m_axi_dst_bus_RLAST;
  input [0:0] m_axi_dst_bus_RUSER;
  input m_axi_dst_bus_RVALID;
  output m_axi_dst_bus_RREADY;
  input s_axi_AXI4LiteS_ACLK;
  input s_axi_AXI4LiteS_ARESETN;
  input [31:0] s_axi_AXI4LiteS_AWADDR;
  input s_axi_AXI4LiteS_AWVALID;
  output s_axi_AXI4LiteS_AWREADY;
  input [31:0] s_axi_AXI4LiteS_WDATA;
  input [3:0] s_axi_AXI4LiteS_WSTRB;
  input s_axi_AXI4LiteS_WVALID;
  output s_axi_AXI4LiteS_WREADY;
  output [1:0] s_axi_AXI4LiteS_BRESP;
  output s_axi_AXI4LiteS_BVALID;
  input s_axi_AXI4LiteS_BREADY;
  input [31:0] s_axi_AXI4LiteS_ARADDR;
  input s_axi_AXI4LiteS_ARVALID;
  output s_axi_AXI4LiteS_ARREADY;
  output [31:0] s_axi_AXI4LiteS_RDATA;
  output [1:0] s_axi_AXI4LiteS_RRESP;
  output s_axi_AXI4LiteS_RVALID;
  input s_axi_AXI4LiteS_RREADY;
  output interrupt;

  lbm_acc_top
    #(
      .RESET_ACTIVE_LOW ( 1 ),
      .C_M_AXI_SRC_BUS_THREAD_ID_WIDTH ( 1 ),
      .C_M_AXI_SRC_BUS_ADDR_WIDTH ( 32 ),
      .C_M_AXI_SRC_BUS_DATA_WIDTH ( 64 ),
      .C_M_AXI_SRC_BUS_AWUSER_WIDTH ( 1 ),
      .C_M_AXI_SRC_BUS_ARUSER_WIDTH ( 1 ),
      .C_M_AXI_SRC_BUS_WUSER_WIDTH ( 1 ),
      .C_M_AXI_SRC_BUS_RUSER_WIDTH ( 1 ),
      .C_M_AXI_SRC_BUS_BUSER_WIDTH ( 1 ),
      .C_M_AXI_SRC_BUS_TARGET_ADDR ( 32'h00000000 ),
      .C_M_AXI_SRC_BUS_USER_VALUE ( 4'b0000 ),
      .C_M_AXI_SRC_BUS_PROT_VALUE ( 3'b000 ),
      .C_M_AXI_SRC_BUS_CACHE_VALUE ( 4'b0011 ),
      .C_M_AXI_DST_BUS_THREAD_ID_WIDTH ( 1 ),
      .C_M_AXI_DST_BUS_ADDR_WIDTH ( 32 ),
      .C_M_AXI_DST_BUS_DATA_WIDTH ( 64 ),
      .C_M_AXI_DST_BUS_AWUSER_WIDTH ( 1 ),
      .C_M_AXI_DST_BUS_ARUSER_WIDTH ( 1 ),
      .C_M_AXI_DST_BUS_WUSER_WIDTH ( 1 ),
      .C_M_AXI_DST_BUS_RUSER_WIDTH ( 1 ),
      .C_M_AXI_DST_BUS_BUSER_WIDTH ( 1 ),
      .C_M_AXI_DST_BUS_TARGET_ADDR ( 32'h00000000 ),
      .C_M_AXI_DST_BUS_USER_VALUE ( 4'b0000 ),
      .C_M_AXI_DST_BUS_PROT_VALUE ( 3'b000 ),
      .C_M_AXI_DST_BUS_CACHE_VALUE ( 4'b0011 ),
      .C_S_AXI_AXI4LITES_ADDR_WIDTH ( 32 ),
      .C_S_AXI_AXI4LITES_DATA_WIDTH ( 32 )
    )
    lbm_acc_top_0 (
      .SYS_CLK ( SYS_CLK ),
      .SYS_RESET ( SYS_RESET ),
      .m_axi_src_bus_ACLK ( m_axi_src_bus_ACLK ),
      .m_axi_src_bus_ARESETN ( m_axi_src_bus_ARESETN ),
      .m_axi_src_bus_AWID ( m_axi_src_bus_AWID ),
      .m_axi_src_bus_AWADDR ( m_axi_src_bus_AWADDR ),
      .m_axi_src_bus_AWLEN ( m_axi_src_bus_AWLEN ),
      .m_axi_src_bus_AWSIZE ( m_axi_src_bus_AWSIZE ),
      .m_axi_src_bus_AWBURST ( m_axi_src_bus_AWBURST ),
      .m_axi_src_bus_AWLOCK ( m_axi_src_bus_AWLOCK ),
      .m_axi_src_bus_AWCACHE ( m_axi_src_bus_AWCACHE ),
      .m_axi_src_bus_AWPROT ( m_axi_src_bus_AWPROT ),
      .m_axi_src_bus_AWQOS ( m_axi_src_bus_AWQOS ),
      .m_axi_src_bus_AWUSER ( m_axi_src_bus_AWUSER ),
      .m_axi_src_bus_AWVALID ( m_axi_src_bus_AWVALID ),
      .m_axi_src_bus_AWREADY ( m_axi_src_bus_AWREADY ),
      .m_axi_src_bus_WDATA ( m_axi_src_bus_WDATA ),
      .m_axi_src_bus_WSTRB ( m_axi_src_bus_WSTRB ),
      .m_axi_src_bus_WLAST ( m_axi_src_bus_WLAST ),
      .m_axi_src_bus_WUSER ( m_axi_src_bus_WUSER ),
      .m_axi_src_bus_WVALID ( m_axi_src_bus_WVALID ),
      .m_axi_src_bus_WREADY ( m_axi_src_bus_WREADY ),
      .m_axi_src_bus_BID ( m_axi_src_bus_BID ),
      .m_axi_src_bus_BRESP ( m_axi_src_bus_BRESP ),
      .m_axi_src_bus_BUSER ( m_axi_src_bus_BUSER ),
      .m_axi_src_bus_BVALID ( m_axi_src_bus_BVALID ),
      .m_axi_src_bus_BREADY ( m_axi_src_bus_BREADY ),
      .m_axi_src_bus_ARID ( m_axi_src_bus_ARID ),
      .m_axi_src_bus_ARADDR ( m_axi_src_bus_ARADDR ),
      .m_axi_src_bus_ARLEN ( m_axi_src_bus_ARLEN ),
      .m_axi_src_bus_ARSIZE ( m_axi_src_bus_ARSIZE ),
      .m_axi_src_bus_ARBURST ( m_axi_src_bus_ARBURST ),
      .m_axi_src_bus_ARLOCK ( m_axi_src_bus_ARLOCK ),
      .m_axi_src_bus_ARCACHE ( m_axi_src_bus_ARCACHE ),
      .m_axi_src_bus_ARPROT ( m_axi_src_bus_ARPROT ),
      .m_axi_src_bus_ARQOS ( m_axi_src_bus_ARQOS ),
      .m_axi_src_bus_ARUSER ( m_axi_src_bus_ARUSER ),
      .m_axi_src_bus_ARVALID ( m_axi_src_bus_ARVALID ),
      .m_axi_src_bus_ARREADY ( m_axi_src_bus_ARREADY ),
      .m_axi_src_bus_RID ( m_axi_src_bus_RID ),
      .m_axi_src_bus_RDATA ( m_axi_src_bus_RDATA ),
      .m_axi_src_bus_RRESP ( m_axi_src_bus_RRESP ),
      .m_axi_src_bus_RLAST ( m_axi_src_bus_RLAST ),
      .m_axi_src_bus_RUSER ( m_axi_src_bus_RUSER ),
      .m_axi_src_bus_RVALID ( m_axi_src_bus_RVALID ),
      .m_axi_src_bus_RREADY ( m_axi_src_bus_RREADY ),
      .m_axi_dst_bus_ACLK ( m_axi_dst_bus_ACLK ),
      .m_axi_dst_bus_ARESETN ( m_axi_dst_bus_ARESETN ),
      .m_axi_dst_bus_AWID ( m_axi_dst_bus_AWID ),
      .m_axi_dst_bus_AWADDR ( m_axi_dst_bus_AWADDR ),
      .m_axi_dst_bus_AWLEN ( m_axi_dst_bus_AWLEN ),
      .m_axi_dst_bus_AWSIZE ( m_axi_dst_bus_AWSIZE ),
      .m_axi_dst_bus_AWBURST ( m_axi_dst_bus_AWBURST ),
      .m_axi_dst_bus_AWLOCK ( m_axi_dst_bus_AWLOCK ),
      .m_axi_dst_bus_AWCACHE ( m_axi_dst_bus_AWCACHE ),
      .m_axi_dst_bus_AWPROT ( m_axi_dst_bus_AWPROT ),
      .m_axi_dst_bus_AWQOS ( m_axi_dst_bus_AWQOS ),
      .m_axi_dst_bus_AWUSER ( m_axi_dst_bus_AWUSER ),
      .m_axi_dst_bus_AWVALID ( m_axi_dst_bus_AWVALID ),
      .m_axi_dst_bus_AWREADY ( m_axi_dst_bus_AWREADY ),
      .m_axi_dst_bus_WDATA ( m_axi_dst_bus_WDATA ),
      .m_axi_dst_bus_WSTRB ( m_axi_dst_bus_WSTRB ),
      .m_axi_dst_bus_WLAST ( m_axi_dst_bus_WLAST ),
      .m_axi_dst_bus_WUSER ( m_axi_dst_bus_WUSER ),
      .m_axi_dst_bus_WVALID ( m_axi_dst_bus_WVALID ),
      .m_axi_dst_bus_WREADY ( m_axi_dst_bus_WREADY ),
      .m_axi_dst_bus_BID ( m_axi_dst_bus_BID ),
      .m_axi_dst_bus_BRESP ( m_axi_dst_bus_BRESP ),
      .m_axi_dst_bus_BUSER ( m_axi_dst_bus_BUSER ),
      .m_axi_dst_bus_BVALID ( m_axi_dst_bus_BVALID ),
      .m_axi_dst_bus_BREADY ( m_axi_dst_bus_BREADY ),
      .m_axi_dst_bus_ARID ( m_axi_dst_bus_ARID ),
      .m_axi_dst_bus_ARADDR ( m_axi_dst_bus_ARADDR ),
      .m_axi_dst_bus_ARLEN ( m_axi_dst_bus_ARLEN ),
      .m_axi_dst_bus_ARSIZE ( m_axi_dst_bus_ARSIZE ),
      .m_axi_dst_bus_ARBURST ( m_axi_dst_bus_ARBURST ),
      .m_axi_dst_bus_ARLOCK ( m_axi_dst_bus_ARLOCK ),
      .m_axi_dst_bus_ARCACHE ( m_axi_dst_bus_ARCACHE ),
      .m_axi_dst_bus_ARPROT ( m_axi_dst_bus_ARPROT ),
      .m_axi_dst_bus_ARQOS ( m_axi_dst_bus_ARQOS ),
      .m_axi_dst_bus_ARUSER ( m_axi_dst_bus_ARUSER ),
      .m_axi_dst_bus_ARVALID ( m_axi_dst_bus_ARVALID ),
      .m_axi_dst_bus_ARREADY ( m_axi_dst_bus_ARREADY ),
      .m_axi_dst_bus_RID ( m_axi_dst_bus_RID ),
      .m_axi_dst_bus_RDATA ( m_axi_dst_bus_RDATA ),
      .m_axi_dst_bus_RRESP ( m_axi_dst_bus_RRESP ),
      .m_axi_dst_bus_RLAST ( m_axi_dst_bus_RLAST ),
      .m_axi_dst_bus_RUSER ( m_axi_dst_bus_RUSER ),
      .m_axi_dst_bus_RVALID ( m_axi_dst_bus_RVALID ),
      .m_axi_dst_bus_RREADY ( m_axi_dst_bus_RREADY ),
      .s_axi_AXI4LiteS_ACLK ( s_axi_AXI4LiteS_ACLK ),
      .s_axi_AXI4LiteS_ARESETN ( s_axi_AXI4LiteS_ARESETN ),
      .s_axi_AXI4LiteS_AWADDR ( s_axi_AXI4LiteS_AWADDR ),
      .s_axi_AXI4LiteS_AWVALID ( s_axi_AXI4LiteS_AWVALID ),
      .s_axi_AXI4LiteS_AWREADY ( s_axi_AXI4LiteS_AWREADY ),
      .s_axi_AXI4LiteS_WDATA ( s_axi_AXI4LiteS_WDATA ),
      .s_axi_AXI4LiteS_WSTRB ( s_axi_AXI4LiteS_WSTRB ),
      .s_axi_AXI4LiteS_WVALID ( s_axi_AXI4LiteS_WVALID ),
      .s_axi_AXI4LiteS_WREADY ( s_axi_AXI4LiteS_WREADY ),
      .s_axi_AXI4LiteS_BRESP ( s_axi_AXI4LiteS_BRESP ),
      .s_axi_AXI4LiteS_BVALID ( s_axi_AXI4LiteS_BVALID ),
      .s_axi_AXI4LiteS_BREADY ( s_axi_AXI4LiteS_BREADY ),
      .s_axi_AXI4LiteS_ARADDR ( s_axi_AXI4LiteS_ARADDR ),
      .s_axi_AXI4LiteS_ARVALID ( s_axi_AXI4LiteS_ARVALID ),
      .s_axi_AXI4LiteS_ARREADY ( s_axi_AXI4LiteS_ARREADY ),
      .s_axi_AXI4LiteS_RDATA ( s_axi_AXI4LiteS_RDATA ),
      .s_axi_AXI4LiteS_RRESP ( s_axi_AXI4LiteS_RRESP ),
      .s_axi_AXI4LiteS_RVALID ( s_axi_AXI4LiteS_RVALID ),
      .s_axi_AXI4LiteS_RREADY ( s_axi_AXI4LiteS_RREADY ),
      .interrupt ( interrupt )
    );

endmodule

