/* $Id: config.h,v 1.5 2004/04/20 14:42:56 pohlt Exp $ */

/*############################################################################*/

#ifndef _CONFIG_H_
#define _CONFIG_H_

#include <stdint.h>

/*############################################################################*/

#define SIZE   (10)
#define SIZE_X (1*SIZE)
#define SIZE_Y (1*SIZE)
#define SIZE_Z (5)

#define OMEGA (1.95)

#define OUTPUT_PRECISION double

#define BOOL int
#define TRUE (-1)
#define FALSE (0)

typedef uint64_t u64;
typedef uint32_t u32;

#define MARGIN 		(2*SIZE_X*SIZE_Y*N_CELL_ENTRIES)
#define GRID_SIZE   (SIZE_Z*SIZE_Y*SIZE_X*N_CELL_ENTRIES + 2*MARGIN)

/*############################################################################*/

#endif /* _CONFIG_H_ */
