//-----------------------------------------------------------------------------
// proc_module_lbm_acc_top_0_wrapper.v
//-----------------------------------------------------------------------------

module proc_module_lbm_acc_top_0_wrapper
  (
    SYS_CLK,
    SYS_RESET,
    m_axi_bus_r_ACLK,
    m_axi_bus_r_ARESETN,
    m_axi_bus_r_AWID,
    m_axi_bus_r_AWADDR,
    m_axi_bus_r_AWLEN,
    m_axi_bus_r_AWSIZE,
    m_axi_bus_r_AWBURST,
    m_axi_bus_r_AWLOCK,
    m_axi_bus_r_AWCACHE,
    m_axi_bus_r_AWPROT,
    m_axi_bus_r_AWQOS,
    m_axi_bus_r_AWUSER,
    m_axi_bus_r_AWVALID,
    m_axi_bus_r_AWREADY,
    m_axi_bus_r_WDATA,
    m_axi_bus_r_WSTRB,
    m_axi_bus_r_WLAST,
    m_axi_bus_r_WUSER,
    m_axi_bus_r_WVALID,
    m_axi_bus_r_WREADY,
    m_axi_bus_r_BID,
    m_axi_bus_r_BRESP,
    m_axi_bus_r_BUSER,
    m_axi_bus_r_BVALID,
    m_axi_bus_r_BREADY,
    m_axi_bus_r_ARID,
    m_axi_bus_r_ARADDR,
    m_axi_bus_r_ARLEN,
    m_axi_bus_r_ARSIZE,
    m_axi_bus_r_ARBURST,
    m_axi_bus_r_ARLOCK,
    m_axi_bus_r_ARCACHE,
    m_axi_bus_r_ARPROT,
    m_axi_bus_r_ARQOS,
    m_axi_bus_r_ARUSER,
    m_axi_bus_r_ARVALID,
    m_axi_bus_r_ARREADY,
    m_axi_bus_r_RID,
    m_axi_bus_r_RDATA,
    m_axi_bus_r_RRESP,
    m_axi_bus_r_RLAST,
    m_axi_bus_r_RUSER,
    m_axi_bus_r_RVALID,
    m_axi_bus_r_RREADY,
    s_axi_AXI4LiteS_ACLK,
    s_axi_AXI4LiteS_ARESETN,
    s_axi_AXI4LiteS_AWADDR,
    s_axi_AXI4LiteS_AWVALID,
    s_axi_AXI4LiteS_AWREADY,
    s_axi_AXI4LiteS_WDATA,
    s_axi_AXI4LiteS_WSTRB,
    s_axi_AXI4LiteS_WVALID,
    s_axi_AXI4LiteS_WREADY,
    s_axi_AXI4LiteS_BRESP,
    s_axi_AXI4LiteS_BVALID,
    s_axi_AXI4LiteS_BREADY,
    s_axi_AXI4LiteS_ARADDR,
    s_axi_AXI4LiteS_ARVALID,
    s_axi_AXI4LiteS_ARREADY,
    s_axi_AXI4LiteS_RDATA,
    s_axi_AXI4LiteS_RRESP,
    s_axi_AXI4LiteS_RVALID,
    s_axi_AXI4LiteS_RREADY,
    interrupt
  );
  input SYS_CLK;
  input SYS_RESET;
  input m_axi_bus_r_ACLK;
  input m_axi_bus_r_ARESETN;
  output [0:0] m_axi_bus_r_AWID;
  output [31:0] m_axi_bus_r_AWADDR;
  output [7:0] m_axi_bus_r_AWLEN;
  output [2:0] m_axi_bus_r_AWSIZE;
  output [1:0] m_axi_bus_r_AWBURST;
  output [1:0] m_axi_bus_r_AWLOCK;
  output [3:0] m_axi_bus_r_AWCACHE;
  output [2:0] m_axi_bus_r_AWPROT;
  output [3:0] m_axi_bus_r_AWQOS;
  output [0:0] m_axi_bus_r_AWUSER;
  output m_axi_bus_r_AWVALID;
  input m_axi_bus_r_AWREADY;
  output [63:0] m_axi_bus_r_WDATA;
  output [7:0] m_axi_bus_r_WSTRB;
  output m_axi_bus_r_WLAST;
  output [0:0] m_axi_bus_r_WUSER;
  output m_axi_bus_r_WVALID;
  input m_axi_bus_r_WREADY;
  input [0:0] m_axi_bus_r_BID;
  input [1:0] m_axi_bus_r_BRESP;
  input [0:0] m_axi_bus_r_BUSER;
  input m_axi_bus_r_BVALID;
  output m_axi_bus_r_BREADY;
  output [0:0] m_axi_bus_r_ARID;
  output [31:0] m_axi_bus_r_ARADDR;
  output [7:0] m_axi_bus_r_ARLEN;
  output [2:0] m_axi_bus_r_ARSIZE;
  output [1:0] m_axi_bus_r_ARBURST;
  output [1:0] m_axi_bus_r_ARLOCK;
  output [3:0] m_axi_bus_r_ARCACHE;
  output [2:0] m_axi_bus_r_ARPROT;
  output [3:0] m_axi_bus_r_ARQOS;
  output [0:0] m_axi_bus_r_ARUSER;
  output m_axi_bus_r_ARVALID;
  input m_axi_bus_r_ARREADY;
  input [0:0] m_axi_bus_r_RID;
  input [63:0] m_axi_bus_r_RDATA;
  input [1:0] m_axi_bus_r_RRESP;
  input m_axi_bus_r_RLAST;
  input [0:0] m_axi_bus_r_RUSER;
  input m_axi_bus_r_RVALID;
  output m_axi_bus_r_RREADY;
  input s_axi_AXI4LiteS_ACLK;
  input s_axi_AXI4LiteS_ARESETN;
  input [31:0] s_axi_AXI4LiteS_AWADDR;
  input s_axi_AXI4LiteS_AWVALID;
  output s_axi_AXI4LiteS_AWREADY;
  input [31:0] s_axi_AXI4LiteS_WDATA;
  input [3:0] s_axi_AXI4LiteS_WSTRB;
  input s_axi_AXI4LiteS_WVALID;
  output s_axi_AXI4LiteS_WREADY;
  output [1:0] s_axi_AXI4LiteS_BRESP;
  output s_axi_AXI4LiteS_BVALID;
  input s_axi_AXI4LiteS_BREADY;
  input [31:0] s_axi_AXI4LiteS_ARADDR;
  input s_axi_AXI4LiteS_ARVALID;
  output s_axi_AXI4LiteS_ARREADY;
  output [31:0] s_axi_AXI4LiteS_RDATA;
  output [1:0] s_axi_AXI4LiteS_RRESP;
  output s_axi_AXI4LiteS_RVALID;
  input s_axi_AXI4LiteS_RREADY;
  output interrupt;

  lbm_acc_top
    #(
      .RESET_ACTIVE_LOW ( 1 ),
      .C_M_AXI_BUS_R_THREAD_ID_WIDTH ( 1 ),
      .C_M_AXI_BUS_R_ADDR_WIDTH ( 32 ),
      .C_M_AXI_BUS_R_DATA_WIDTH ( 64 ),
      .C_M_AXI_BUS_R_AWUSER_WIDTH ( 1 ),
      .C_M_AXI_BUS_R_ARUSER_WIDTH ( 1 ),
      .C_M_AXI_BUS_R_WUSER_WIDTH ( 1 ),
      .C_M_AXI_BUS_R_RUSER_WIDTH ( 1 ),
      .C_M_AXI_BUS_R_BUSER_WIDTH ( 1 ),
      .C_M_AXI_BUS_R_TARGET_ADDR ( 32'h00000000 ),
      .C_M_AXI_BUS_R_USER_VALUE ( 4'b0000 ),
      .C_M_AXI_BUS_R_PROT_VALUE ( 3'b000 ),
      .C_M_AXI_BUS_R_CACHE_VALUE ( 4'b0011 ),
      .C_S_AXI_AXI4LITES_ADDR_WIDTH ( 32 ),
      .C_S_AXI_AXI4LITES_DATA_WIDTH ( 32 )
    )
    lbm_acc_top_0 (
      .SYS_CLK ( SYS_CLK ),
      .SYS_RESET ( SYS_RESET ),
      .m_axi_bus_r_ACLK ( m_axi_bus_r_ACLK ),
      .m_axi_bus_r_ARESETN ( m_axi_bus_r_ARESETN ),
      .m_axi_bus_r_AWID ( m_axi_bus_r_AWID ),
      .m_axi_bus_r_AWADDR ( m_axi_bus_r_AWADDR ),
      .m_axi_bus_r_AWLEN ( m_axi_bus_r_AWLEN ),
      .m_axi_bus_r_AWSIZE ( m_axi_bus_r_AWSIZE ),
      .m_axi_bus_r_AWBURST ( m_axi_bus_r_AWBURST ),
      .m_axi_bus_r_AWLOCK ( m_axi_bus_r_AWLOCK ),
      .m_axi_bus_r_AWCACHE ( m_axi_bus_r_AWCACHE ),
      .m_axi_bus_r_AWPROT ( m_axi_bus_r_AWPROT ),
      .m_axi_bus_r_AWQOS ( m_axi_bus_r_AWQOS ),
      .m_axi_bus_r_AWUSER ( m_axi_bus_r_AWUSER ),
      .m_axi_bus_r_AWVALID ( m_axi_bus_r_AWVALID ),
      .m_axi_bus_r_AWREADY ( m_axi_bus_r_AWREADY ),
      .m_axi_bus_r_WDATA ( m_axi_bus_r_WDATA ),
      .m_axi_bus_r_WSTRB ( m_axi_bus_r_WSTRB ),
      .m_axi_bus_r_WLAST ( m_axi_bus_r_WLAST ),
      .m_axi_bus_r_WUSER ( m_axi_bus_r_WUSER ),
      .m_axi_bus_r_WVALID ( m_axi_bus_r_WVALID ),
      .m_axi_bus_r_WREADY ( m_axi_bus_r_WREADY ),
      .m_axi_bus_r_BID ( m_axi_bus_r_BID ),
      .m_axi_bus_r_BRESP ( m_axi_bus_r_BRESP ),
      .m_axi_bus_r_BUSER ( m_axi_bus_r_BUSER ),
      .m_axi_bus_r_BVALID ( m_axi_bus_r_BVALID ),
      .m_axi_bus_r_BREADY ( m_axi_bus_r_BREADY ),
      .m_axi_bus_r_ARID ( m_axi_bus_r_ARID ),
      .m_axi_bus_r_ARADDR ( m_axi_bus_r_ARADDR ),
      .m_axi_bus_r_ARLEN ( m_axi_bus_r_ARLEN ),
      .m_axi_bus_r_ARSIZE ( m_axi_bus_r_ARSIZE ),
      .m_axi_bus_r_ARBURST ( m_axi_bus_r_ARBURST ),
      .m_axi_bus_r_ARLOCK ( m_axi_bus_r_ARLOCK ),
      .m_axi_bus_r_ARCACHE ( m_axi_bus_r_ARCACHE ),
      .m_axi_bus_r_ARPROT ( m_axi_bus_r_ARPROT ),
      .m_axi_bus_r_ARQOS ( m_axi_bus_r_ARQOS ),
      .m_axi_bus_r_ARUSER ( m_axi_bus_r_ARUSER ),
      .m_axi_bus_r_ARVALID ( m_axi_bus_r_ARVALID ),
      .m_axi_bus_r_ARREADY ( m_axi_bus_r_ARREADY ),
      .m_axi_bus_r_RID ( m_axi_bus_r_RID ),
      .m_axi_bus_r_RDATA ( m_axi_bus_r_RDATA ),
      .m_axi_bus_r_RRESP ( m_axi_bus_r_RRESP ),
      .m_axi_bus_r_RLAST ( m_axi_bus_r_RLAST ),
      .m_axi_bus_r_RUSER ( m_axi_bus_r_RUSER ),
      .m_axi_bus_r_RVALID ( m_axi_bus_r_RVALID ),
      .m_axi_bus_r_RREADY ( m_axi_bus_r_RREADY ),
      .s_axi_AXI4LiteS_ACLK ( s_axi_AXI4LiteS_ACLK ),
      .s_axi_AXI4LiteS_ARESETN ( s_axi_AXI4LiteS_ARESETN ),
      .s_axi_AXI4LiteS_AWADDR ( s_axi_AXI4LiteS_AWADDR ),
      .s_axi_AXI4LiteS_AWVALID ( s_axi_AXI4LiteS_AWVALID ),
      .s_axi_AXI4LiteS_AWREADY ( s_axi_AXI4LiteS_AWREADY ),
      .s_axi_AXI4LiteS_WDATA ( s_axi_AXI4LiteS_WDATA ),
      .s_axi_AXI4LiteS_WSTRB ( s_axi_AXI4LiteS_WSTRB ),
      .s_axi_AXI4LiteS_WVALID ( s_axi_AXI4LiteS_WVALID ),
      .s_axi_AXI4LiteS_WREADY ( s_axi_AXI4LiteS_WREADY ),
      .s_axi_AXI4LiteS_BRESP ( s_axi_AXI4LiteS_BRESP ),
      .s_axi_AXI4LiteS_BVALID ( s_axi_AXI4LiteS_BVALID ),
      .s_axi_AXI4LiteS_BREADY ( s_axi_AXI4LiteS_BREADY ),
      .s_axi_AXI4LiteS_ARADDR ( s_axi_AXI4LiteS_ARADDR ),
      .s_axi_AXI4LiteS_ARVALID ( s_axi_AXI4LiteS_ARVALID ),
      .s_axi_AXI4LiteS_ARREADY ( s_axi_AXI4LiteS_ARREADY ),
      .s_axi_AXI4LiteS_RDATA ( s_axi_AXI4LiteS_RDATA ),
      .s_axi_AXI4LiteS_RRESP ( s_axi_AXI4LiteS_RRESP ),
      .s_axi_AXI4LiteS_RVALID ( s_axi_AXI4LiteS_RVALID ),
      .s_axi_AXI4LiteS_RREADY ( s_axi_AXI4LiteS_RREADY ),
      .interrupt ( interrupt )
    );

endmodule

