#include <stdio.h>
#include <string.h>

int main(int argc, char** argv) {
	FILE *fr;
   	float V;
	float R=0.01;
	float P;
	float sumP;
	int i;
	double starttime;
	double stoptime;
	double time;
   	char line[30];

	if (argc != 2) {
		printf("Usage: %s <filename>\n", argv[0]);
		return 0;
	}

   	fr = fopen (argv[1], "r");

	i = 0;
	sumP = 0;
	while(fgets(line, 30, fr) != NULL) {
		if (strstr(line, "start")) {
			sscanf(line, "start %lf", &starttime);
		} else if (strstr(line, "stop")) {
			sscanf(line, "stop %lf", &stoptime);
		} else {
			sscanf (line, "%E", &V);
			P = (12-V)*(V/R);
			sumP += P;
			i++;
		}
   	}
	printf("# samples = %d\n", i);
	printf("Avg P = %f\n", sumP/i);

	fclose(fr);
	return 0;
}
